import os

print("Trying to write 'Hello, world!' into products/hello.txt")

try:
    with open("products/hello.txt", "w") as fd:
        fd.write("Hello, world!")

# The volume does not have the proper perm or ownership
except PermissionError:
    status = os.stat("products")
    uid = status.st_uid
    gid = status.st_gid
    perm = oct(status.st_mode & 0o777)
    print(f"products: {uid} {gid} {perm}")
    raise 

# kufair could not properly mount the products
except FileNotFoundError:
    raise

print("Done!")


